.cta {
  $parent: &;

  border-radius: 2rem;
  padding: 0.8rem 3.5rem;
  display: inline-block;
  vertical-align: middle;
  @include font-archer-medium;
  font-size: 18px;
  transition: all 0.3s;
  text-align: center;
  margin: 1rem 1rem 0 0;
  line-height: 1;
  //white-space: nowrap;
  position: relative;
  cursor: pointer;
  border: none;

  &--nomargin {
    margin-right: 0;
  }

  @include breakpoint($medium) {
    padding-top: 1.45rem;
    padding-bottom: 1.45rem;
  }

  &:last-child {
    // margin-bottom: 0;
  }

  &--primary {
    background-color: $color-skyBlue;
    color: #fff;
    box-shadow: 0.5px 0.5px 1px 1px rgba(0, 0, 0, 0.08);

    a {
      color: #fff;

      &:hover,
      &:focus {
        color: #fff !important;
      }
    }

    .icon {
      position: absolute;
      top: 50%;
      right: 20px;
      transform: translateY(-50%);
      font-size: 16px;
      transition: right 0.3s;
    }

    &:not(#{$parent}--icon) {
      &:after {
        content: "";
        position: absolute;
        top: 50%;
        right: 23px;
        width: 8px;
        height: 15px;
        transform: translateY(-50%);
        background: url("images/cta-arrow-right.png") no-repeat 0 0;
      }
    }

    &:hover,
    &:focus {
      background-color: $color-oceanBlue;
      color: #fff;
      box-shadow: 1px 1px 3px 1px rgba(0, 0, 0, 0.2);

      .icon {
        right: 17px;
      }
    }
  }

  &.cta--secondary,
  &.cta--secondary-alt {
    background: #fff;
    box-shadow: 0px 0px 1px 2px rgba(0, 0, 0, 0.08);
    color: $color-oceanBlue !important;
    border: none;
    padding: 0.8rem 2.5rem;

    @include breakpoint($medium) {
      padding: 1.45rem 3.5rem;
    }

    &:hover,
    &:focus {
      color: $color-slate !important;
      background-color: #fefefe;
      box-shadow: 1px 1px 3px 1px rgba(0, 0, 0, 0.2);
    }
    a {
      color: $color-oceanBlue !important;
      &:hover,
      &:focus {
        color: $color-slate !important;
      }
    }
  }

  &.cta--secondary-alt {
    border: none;
  }

  &.cta--sm {
    padding: 0.8rem 1.5rem;

    @include breakpoint($medium) {
      padding: 0.8rem 1.5rem;
    }

    &.cta--primary {
      padding-right: 2.5rem;
    }
  }

  &--nowrap {
    white-space: nowrap;
  }

  &--wide {
    width: 100%;
    margin-right: 0;
  }

  &.cta--reducedPadding {
    padding-left: 1.5rem;
    padding-right: 1.5rem;

    &.cta--primary {
      padding-right: 2.5rem;
    }
  }

  &.cta--back {
    padding: 0 0 0 1.5em;
    font-size: 15px;
    font-family: $font-muli;

    .icon {
      position: absolute;
      top: 50%;
      left: 0px;
      transform: translateY(-50%);
      font-size: 15px;
      transition: right 0.3s;
    }
  }

  &.cta--icon-only {
    padding: 0;
    border-radius: 50%;
    svg {
      display: block;
    }
  }

  // fix for link within a span
  > a {
    &:before {
      content: "";
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
    }
  }

  &--isInput {
    padding: 0;

    input,
    .scWebEditInput {
      background: none;
      border: none;
      color: #fff;
      cursor: pointer;
      padding: 0.8rem 3.5rem;
      @include font-archer-medium;
      font-weight: 300;
      font-size: 18px;

      @include breakpoint($medium) {
        padding-top: 1.45rem;
        padding-bottom: 1.45rem;
      }
    }
  }
}

// theme contrast fix for ctas with spans
.theme-text-contrast .cta.cta--secondary a {
  color: $color-oceanBlue;
}
